import { useState } from 'react'
import { ScrollView, Image } from '@tarojs/components'
import './index.scss'

export default function FilterForMore (props) {

  const { change = () => { }, defaultValue = ['-', '-', '-'], Cancel = () => { }, BuildingTypeList = [] } = props

  const [AreaList] = useState([
    { name: '不限', id: '-' },
    { name: '60㎡以下', id: '0-60' },
    { name: '60-90㎡', id: '60-90' },
    { name: '90-110㎡', id: '90-110' },
    { name: '110-200㎡', id: '110-200' },
    { name: '200㎡以上', id: '200-' }
  ])
  const [CurrentAreaId, setCurrentAreaId] = useState(defaultValue[0])

  const [CurrentBuildingTypeId, setCurrentBuildingTypeId] = useState(defaultValue[1])

  const [StatusList] = useState([
    { name: '不限', id: '-' },
    { name: '在售', id: '在售' },
    { name: '未开盘', id: '未开盘' },
    { name: '售罄', id: '售罄' }
  ])
  const [CurrentStatusId, setCurrentStatusId] = useState(defaultValue[2])

  const CutArea = (id) => {
    return () => {
      setCurrentAreaId(id)
    }
  }

  const CutBuildingType = (id) => {
    return () => {
      setCurrentBuildingTypeId(id)
    }
  }

  const CutStatus = (id) => {
    return () => {
      setCurrentStatusId(id)
    }
  }

  const Sure = () => {
    change([
      { name: 'buildingType', value: CurrentBuildingTypeId },
      { name: 'area', value: CurrentAreaId },
      { name: 'marketStatus', value: CurrentStatusId },
    ])
  }

  return (
    <view className='components FilterForMore'>
      <ScrollView scroll-y>
        <view className='FilterContent'>
          <text>面积</text>
          {
            AreaList.map((item, index) => (
              <view className='ListItem' key={`AreaListItem${index}`} onClick={CutArea(item.id)}>
                <view>
                  <view>
                    <text>{item.name}</text>
                    <Image mode='heightFix' className={CurrentAreaId === item.id ? 'active' : ''} src={require('@/assets/findHouse-icon1.png')}></Image>
                  </view>
                </view>
              </view>
            ))
          }
          <text>类型</text>
          {
            BuildingTypeList.map((item, index) => (
              <view className='ListItem' key={`BuildingTypeListItem${index}`} onClick={CutBuildingType(item.id)}>
                <view>
                  <view>
                    <text>{item.name}</text>
                    <Image mode='heightFix' className={CurrentBuildingTypeId === item.id ? 'active' : ''} src={require('@/assets/findHouse-icon1.png')}></Image>
                  </view>
                </view>
              </view>
            ))
          }
          <text>售卖状态</text>
          {
            StatusList.map((item, index) => (
              <view className='ListItem' key={`StatusListItem${index}`} onClick={CutStatus(item.id)}>
                <view>
                  <view>
                    <text>{item.name}</text>
                    <Image mode='heightFix' className={CurrentStatusId === item.id ? 'active' : ''} src={require('@/assets/findHouse-icon1.png')}></Image>
                  </view>
                </view>
              </view>
            ))
          }
          <view className='Btn flex-h'>
            <view className='flex-item'>
              <text onClick={Cancel}>取消</text>
            </view>
            <view className='flex-item'>
              <text onClick={Sure}>保存</text>
            </view>
          </view>
        </view>
      </ScrollView>
    </view>
  )
}
