import { useState, useEffect } from "react";
import Taro, { useDidShow, useReady } from "@tarojs/taro";
import withLayout from "@/layout";
import {
  Text,
  View,
  Picker,
  Input,
  ScrollView,
  Image,
  RichText,
} from "@tarojs/components";
import "@/assets/css/iconfont.css";
import "./index.scss";
import {
  // addActivityShareNum,
  signupActivity,
  favorActivity,
  cancelFavorActivity,
  queryActivityDetail,
} from "@/services/activity";
import {
    queryLiveDetail
  } from "@/services/item";

import { getImgURL } from "@/utils/image";

export default withLayout((props) => {
  const { id } = props.router.params;

  const [data,setData] = useState({})
console.log(id,'queryLiveDetail')
  const getData = () => {
    queryLiveDetail(id).then(res=>{
        setData(res)
    })
  };

  useEffect(() => {
    if (id) {
      getData(id);
    }
  }, [id]);
//   
  return <view className="liveDetail">
       {data.liveActivityId&&<><Image mode='aspectFill' src={getImgURL(data.detailTypeImg)} className='liveImg'></Image>
       <view className='liveDetail-menu'>
           <view onClick={()=>{Taro.navigateTo({ url: `/pages/index/buildingDetail/index?id=${data.buildingId}` })}}><text className="iconfont icon-fenxiang"></text><text>查看楼盘</text></view>
           <view><text className="iconfont icon-camera"></text><text>观看直播</text></view>
           <view><text className="iconfont icon-fenxiang"></text><text>分享好友</text></view>
       </view></>}
  </view>;
});
